M_DUP(3)

FUNCTION
m_dup - Duplicate a block of memory into a freshly allocated block.

SYNOPSIS
#include <karma_m.h>

void * m_dup

(CONST void *original, uaddr size)

DESCRIPTION
Duplicate a block of memory into a freshly allocated block.

original
    The original block of memory.

size
    The size in bytes of the block.

RETURN VALUE
A pointer to a freshly allocated block which contains identical data as the orginal on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/